import { BccBadge, BccPin } from "@/index";
import type { VueComponent } from "@/types";
export type BccTabsGroup = Array<{
    title: string;
    icon?: VueComponent;
    pin?: InstanceType<typeof BccPin>["$props"];
    badge?: InstanceType<typeof BccBadge>["$props"] & {
        text: string;
    };
    as?: VueComponent;
    disabled?: boolean;
    loading?: boolean;
}>;
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    size: {
        type: import("vue").PropType<"base" | "lg" | "sm">;
        default: string;
    };
    fill: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    tabs: {
        type: import("vue").PropType<BccTabsGroup>;
        required: true;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    size: {
        type: import("vue").PropType<"base" | "lg" | "sm">;
        default: string;
    };
    fill: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    tabs: {
        type: import("vue").PropType<BccTabsGroup>;
        required: true;
    };
}>>, {
    size: "base" | "lg" | "sm";
    fill: boolean;
}, {}>, Partial<Record<string, (_: {
    tab: {
        title: string;
        icon?: VueComponent | undefined;
        pin?: (Partial<{
            context: "info" | "success" | "warning" | "danger" | "neutral" | "muddy-waters" | "mongoose" | "brand";
            contrast: "light" | "dark";
        }> & Omit<{
            readonly context: "info" | "success" | "warning" | "danger" | "neutral" | "muddy-waters" | "mongoose" | "brand";
            readonly contrast: "light" | "dark";
            readonly text?: string | undefined;
            readonly icon?: VueComponent | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
            text: {
                type: import("vue").PropType<string>;
            };
            context: {
                type: import("vue").PropType<"info" | "success" | "warning" | "danger" | "neutral" | "muddy-waters" | "mongoose" | "brand">;
                default: string;
            };
            icon: {
                type: import("vue").PropType<VueComponent>;
            };
            contrast: {
                type: import("vue").PropType<"light" | "dark">;
                default: string;
            };
        }>>, "context" | "contrast">) | undefined;
        badge?: (Partial<{
            size: "xs" | "sm" | "md";
            context: "info" | "success" | "warning" | "danger" | "neutral" | "muddy-waters" | "mongoose" | "brand";
            iconRight: boolean;
            contrast: "light" | "dark";
        }> & Omit<{
            readonly size: "xs" | "sm" | "md";
            readonly context: "info" | "success" | "warning" | "danger" | "neutral" | "muddy-waters" | "mongoose" | "brand";
            readonly iconRight: boolean;
            readonly contrast: "light" | "dark";
            readonly icon?: VueComponent | undefined;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: import("vue").PropType<"xs" | "sm" | "md">;
                default: string;
            };
            context: {
                type: import("vue").PropType<"info" | "success" | "warning" | "danger" | "neutral" | "muddy-waters" | "mongoose" | "brand">;
                default: string;
            };
            icon: {
                type: import("vue").PropType<VueComponent>;
            };
            iconRight: {
                type: import("vue").PropType<boolean>;
                default: boolean;
            };
            contrast: {
                type: import("vue").PropType<"light" | "dark">;
                default: string;
            };
        }>>, "size" | "context" | "iconRight" | "contrast"> & {
            text: string;
        }) | undefined;
        as?: VueComponent | undefined;
        disabled?: boolean | undefined;
        loading?: boolean | undefined;
    };
}) => any>>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
